Bug 439659

Summary: Unable to install F9 Beta with existing LVM setup
Product: [Fedora] Fedora Reporter: Emmanuel Galanos <bugzilla>
Component: anacondaAssignee: Anaconda Maintenance Team <anaconda-maint-list>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: rawhide   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-04-21 11:28:50 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 235705    
Attachments:
Description Flags
anaconda.log
none
lvmout
none
/tmp/syslog
none
vg metadata none

Description Emmanuel Galanos 2008-03-29 21:26:16 EDT
Description of problem:

My workstation has 3 disc setup:

 /dev/md0 /dev/sd{a,b,c}1 RAID 1 -> ext3 (/boot)
 /dev/md1 /dev/sd{a,b,c}2 RAID 5 -> PV -> VG -> LV ext3 ubuntu (/)
                                             -> LV ext3 fedora (/)
                                             -> LV LUKS data

I attempted to install F9 Beta onto the LV "fedora". Anaconda would not
allow this.

I then attempted to create a new LV in the VG (the VG has ~ 50 G unallocated).
Annaconda would not allow this either.

Version-Release number of selected component (if applicable):
9 Beta x86-64

How reproducible:
100%

Steps to Reproduce:
1. Produce disc setup above
2. Boot F9 beta install media
3. Try to either view/edit existing LV or create a new LV
  
Actual results:

Error dialog of:

 "Not enough physical volumes

At least one unused physical volume
partition is needed to create an LVM
volume group"

Expected results:

For it to work.

Additional info:

Whilst Anaconda was able to display the volume group and logical volumes,
the physical volume /dev/md1 was marked with a type of "foreign".

Clicking delete on /dev/md1 gives an error of:

   "Unable to delete

This partition is part of the LVM volume group 'NAME_OF_MY_VOLUME_GROUP'

Anaconda did let me delete the LV "fedora", but I was unable to edit/create
LVs otherwise.
Comment 1 Jeremy Katz 2008-03-30 12:40:04 EDT
Can you grab the /tmp/anaconda.log and /tmp/lvmout from this attempt?
Comment 2 Emmanuel Galanos 2008-03-31 08:39:35 EDT
Created attachment 299717 [details]
anaconda.log
Comment 3 Emmanuel Galanos 2008-03-31 08:40:43 EDT
Created attachment 299718 [details]
lvmout

File gets zeroed out on custom partitioning screen. Output here after clicking
back to choose partition layout.
Comment 4 Emmanuel Galanos 2008-03-31 08:41:18 EDT
Created attachment 299719 [details]
/tmp/syslog
Comment 5 Emmanuel Galanos 2008-03-31 08:48:12 EDT
Created attachment 299721 [details]
vg metadata

Produced by vgcfgbackup
Comment 6 Emmanuel Galanos 2008-03-31 08:48:39 EDT
Information attached
Comment 7 Jeremy Katz 2008-04-17 02:44:32 EDT
I think that this should be fixed in the preview release which should be out in
the next day or so.  Can you try again with it?
Comment 8 Emmanuel Galanos 2008-04-21 11:28:50 EDT
Confirmed that bug is fixed with preview release.

Thanks!